﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DesplazamientoObstaculo : MonoBehaviour
{
    public float velocidad;
    public float distanciaFueraDePantalla;
    public Vector3 puntoComienzo;
    public float margenAltura;

    void Start()
    {
        Vector3 posicionInicio = transform.position;
        posicionInicio.y = Random.Range(-margenAltura, margenAltura);
        transform.position = posicionInicio;
    }
    void Update()
    {
        transform.position += Vector3.left * velocidad * Time.deltaTime;
        if (transform.position.x < -distanciaFueraDePantalla)
        {
            puntoComienzo.y = Random.Range(-margenAltura, margenAltura);
            transform.position = puntoComienzo;
        }
    }
}
