﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DesplazamientoTerreno : MonoBehaviour
{
    public float velocidad;
    private float spriteWidthInUnits;

    void Start()
    {
        SpriteRenderer miSpriteRenderer = GetComponent<SpriteRenderer>();
        spriteWidthInUnits = miSpriteRenderer.sprite.rect.width / miSpriteRenderer.sprite.pixelsPerUnit;
    }
    void Update()
    {
        transform.position += Vector3.left * velocidad * Time.deltaTime; 
        if(transform.position.x<-spriteWidthInUnits*2)
        {
            transform.position += Vector3.right * spriteWidthInUnits * 4;
        }
    }
}
